lv.lumii.layoutengine.flowLayout

## Class FlowLayoutVertex

- java.lang.Object
- - lv.lumii.layoutengine.flowLayout.FlowLayoutVertex

-     public class FlowLayoutVertex
      extends java.lang.Object

  This class implements the vertex in internal representation of the diagram graph for the Flow Layout algorithm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowLayoutVertex()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIncEdge(FlowLayoutEdge edge)` This method adds the given edge to the vertex incidence list.
    `int` | `getIndex()` This method returns the index of this vertex.
    `java.lang.String` | `getTag()` This method returns the tag of this vertex.
    `void` | `setIndex(int index)` This method sets the index of this vertex.
    `void` | `setTag(java.lang.String tag)` This method sets the tag of this vertex.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowLayoutVertex

          public FlowLayoutVertex()

  - ### Method Detail

    - #### setIndex

          public void setIndex(int index)

      This method sets the index of this vertex.
      Parameters:
        `index` - the vertex index.

    - #### getIndex

          public int getIndex()

      This method returns the index of this vertex.
      Returns:
        the vertex index.

    - #### setTag

          public void setTag(java.lang.String tag)

      This method sets the tag of this vertex.
      Parameters:
        `tag` - the vertex tag.

    - #### getTag

          public java.lang.String getTag()

      This method returns the tag of this vertex.
      Returns:
        the vertex tag.

    - #### addIncEdge

          public void addIncEdge(FlowLayoutEdge edge)

      This method adds the given edge to the vertex incidence list.
      Parameters:
        `edge` - the edge to be add.